Module Physical_Constants ! Define Physical Constants
  ! Define selected precision
  INTEGER, PARAMETER :: DP = KIND (1.d0) ! Alternate form
  ! ========== Physics Constants and units =========================
  real(DP), parameter:: AMU_Value = 1.6605402E-27_DP ! kg
  real(DP), parameter:: Atmosphere_Pres = 9.80665E+04_DP ! Pa
  real(DP), parameter:: Avogadro = 6.0221367E+23_DP ! 1/mol
  real(DP), parameter:: Bohr_Magneton = 9.2740154E-24_DP ! J/T
  real(DP), parameter:: Bohr_Radius = 5.29177249E-11_DP ! m
  real(DP), parameter:: Boltzmann = 1.380657E-23_DP ! J/K
  real(DP), parameter:: c_Light = 2.997924580E+8_DP ! m/s
  real(DP), parameter:: Electron_Compton = 2.42631058E-12_DP ! m
  real(DP), parameter:: Electron_Angular = 5.2729E-35_DP ! J*s
  real(DP), parameter:: Electron_Charge =-1.60217738E-19_DP ! coul
  real(DP), parameter:: Electron_Mass_Rest = 9.1093897E-31_DP ! kg
  real(DP), parameter:: Electron_Moment = 9.2847700E-24_DP ! J/T
  real(DP), parameter:: Electron_Radius = 2.81794092E-15_DP ! m
  real(DP), parameter:: Faraday = 9.6485309E+04_DP ! C/mo
  real(DP), parameter:: G_Universal = 6.67260E-11_DP ! m^3/(s^2*kg)
  real(DP), parameter:: Light_Year = 9.46073E+15_DP ! m
  real(DP), parameter:: Mech_equiv_Heat = 4.185E+3_DP ! J/kcal
  real(DP), parameter:: Molar_Volume = 0.02241410_DP ! m^3/mol
  real(DP), parameter:: Neutron_Mass = 1.6749286E-27_DP ! kg
  real(DP), parameter:: Permeability = 1.25663706143E-06_DP ! H/m
  real(DP), parameter:: Permittivity = 8.85418781762E-12_DP ! F/m
  real(DP), parameter:: Planck_Const = 6.6260754E-34_DP ! J*s
  real(DP), parameter:: Proton_Mass = 1.6726230E-27_DP ! kg
  real(DP), parameter:: Proton_Moment = 1.41060761E-26_DP ! J/T
  real(DP), parameter:: Quantum_charge_r = 4.13556E+12_DP ! J*s/C
  real(DP), parameter:: Rydberg_inf = 1.0973731534E+07_DP! 1/m
  real(DP), parameter:: Rydberg_Hydrogen = 1.09678E+07_DP ! 1/m
  real(DP), parameter:: Std_Atmosphere = 1.01325E+05_DP ! Pa
  real(DP), parameter:: Stefan_Boltzmann = 5.67050E-08_DP ! W/(m^2*K^4)
  real(DP), parameter:: Thomson_cross_sect = 6.6516E-29_DP ! m^2
  real(DP), parameter:: Universal_Gas_C = 8.314510_DP ! J/mol*K
  ! ========== Astronomy Constants and units =====================
  real(DP), parameter:: AU_Earth_Sun = 1.4959787E+11_DP ! m
  real(DP), parameter:: Anomal_Month = 27.5546_DP ! days
  real(DP), parameter:: Anomal_Year = 365.2596_DP ! days
  real(DP), parameter:: Dracon_Month = 27.2122_DP ! days
  real(DP), parameter:: Earth_G = 9.80665_DP ! m/s^2
  real(DP), parameter:: Earth_Mass = 5.974E+24_DP ! kg
  real(DP), parameter:: Earth_Radius_Eq = 6.37814E+6_DP ! m
  real(DP), parameter:: Earth_Radius_Mean = 6.371E+6_DP ! m
  real(DP), parameter:: Earth_Radius_Polar = 6.356755E+6_DP ! m
  real(DP), parameter:: Julian_Year = 365.25_DP ! days
  real(DP), parameter:: Rotation_Day = 23.93447222_DP ! hours
  real(DP), parameter:: Sidereal_Day = 23.93446944_DP ! hours
  real(DP), parameter:: Sidereal_Month = 27.3217_DP ! days
  real(DP), parameter:: Sidereal_Ratio = 1.0027379092558_DP
  real(DP), parameter:: Sidereal_Year = 365.2564_DP ! days
  real(DP), parameter:: Solar_Day = 24.06571111_DP ! hours
  real(DP), parameter:: Synodic_Month = 29.5306_DP ! days
  real(DP), parameter:: Tropical_Year = 365.2422_DP ! days
end Module Physical_Constants ! Define Physical Constants
Program Test
  use Physical_Constants
  print *, 'Avogadro = ', Avogadro;
End Program Test

